package com.tcctlo.law.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.common.core.domain.AjaxResult;
import com.tcctlo.law.entity.CaseLawyer;
import com.tcctlo.law.service.ICaseLawyerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 案件律师表 前端控制器
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */

@RestController
@RequestMapping("/caseLawyer")
public class CaseLawyerController {


    @Autowired
    private ICaseLawyerService iCaseLawyerService;

    @GetMapping(value = "/list")
    public AjaxResult list(@RequestParam(required = false) Integer current, @RequestParam(required = false) Integer size) {
        if (current == null) {
            current = 1;
        }
        if (size == null) {
            size = 10;
        }
        Page<CaseLawyer> pageList = iCaseLawyerService.list(current,size);
        return AjaxResult.success(pageList);
    }


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        CaseLawyer caseLawyer = iCaseLawyerService.getById(id);
        return AjaxResult.success(caseLawyer);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody CaseLawyer params) {
        Integer result = iCaseLawyerService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result =  iCaseLawyerService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody CaseLawyer params) {
        Integer result = iCaseLawyerService.update(params);
        return AjaxResult.success(result);
    }
}
