package com.tcctlo.law.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.common.core.domain.AjaxResult;
import com.tcctlo.law.entity.ContractTemplate;
import com.tcctlo.law.service.IContractTemplateService;
import com.tcctlo.law.vo.ImpulseInformationVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 合同模板 前端控制器
 * </p>
 *
 * @author
 * @since 2025-02-18
 */

@RestController
@RequestMapping("/contractTemplate")
public class ContractTemplateController {


    @Autowired
    private IContractTemplateService iContractTemplateService;

    /*@PostMapping(value = "/list")
    public AjaxResult list(@RequestBody Map<String, Object> params) {
        params.putIfAbsent("current", 1);
        params.putIfAbsent("size", 10);
        Page<ImpulseInformationVO> pageList = iImpulseInformationService.list(params);
        return AjaxResult.success(pageList);
    }*/

    @PostMapping(value = "/list")
    public AjaxResult list(@RequestBody Map<String, Object> params) {
        params.putIfAbsent("current", 1);
        params.putIfAbsent("size", 10);
        Page<ContractTemplate> pageList = iContractTemplateService.list(params);
        return AjaxResult.success(pageList);
    }

    /*@GetMapping(value = "/list")
    public AjaxResult list(@RequestParam(required = false) Integer current, @RequestParam(required = false) Integer size) {
        if (current == null) {
            current = 1;
        }
        if (size == null) {
            size = 10;
        }
        Page<ContractTemplate> pageList = iContractTemplateService.list(current,size);
        return AjaxResult.success(pageList);
    }*/


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        ContractTemplate contractTemplate = iContractTemplateService.getById(id);
        return AjaxResult.success(contractTemplate);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody ContractTemplate params) {
        Integer result = iContractTemplateService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result = iContractTemplateService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/deleteTemplate")
    public AjaxResult deleteTemplate(@RequestBody Map<String, String> param) {

        return AjaxResult.success(iContractTemplateService.deleteTemplate(param));
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody ContractTemplate params) {
        Integer result = iContractTemplateService.update(params);
        return AjaxResult.success(result);
    }


    @GetMapping(value = "/getWord/{id}")
    public AjaxResult getWord(@PathVariable("id") Long id) throws Exception {
        iContractTemplateService.getWord(id);
        return AjaxResult.success();
    }
}
