package com.tcctlo.law.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 收款记录表
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("collection_record")
public class CollectionRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件表id
     */
    private Long caseId;

    /**
     * 收款方式
     */
    private String collectionType;

    /**
     * 已收金额
     */
    private BigDecimal amountReceived;

    /**
     * 收款相关凭证【关联文件管理表ID】
     */
    private String collectionUrlId;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
