package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.JsonNode;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 合同模板
 * </p>
 *
 * @author 
 * @since 2025-02-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("contract_template")
public class ContractTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 合同模板名称
     */
    private String templateName;

    /**
     * 合同描述
     */
    private String templateContext;

    /**
     * 存储路径（服务器）
     */
    private String filePath;

    /**
     * 阿里云OSS访问地址
     */
    private String fileUrl;

    /**
     * 生成的新文件名
     */
    private String newFileName;

    /**
     * 电子签章位置（X轴）
     */
    private Double locationX;

    /**
     * 电子签章位置（Y轴）
     */
    private Double locationY;

    /**
     * 电子签章位置页码
     */
    private Integer pageNumber;

    /**
     * 动态表单参数
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private JsonNode formParameter;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    private Integer delFlag;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private Date updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
