package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 利冲信息表
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("impulse_information")
public class ImpulseInformation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件ID
     */
    private Long caseId;

    /**
     * 案件涉及(人/企业)--名称
     */
    private String caseName;

    /**
     * 案件涉及(人/企业)--[身份证/信用代码]
     */
    private String caseNo;

    /**
     * 案件涉及(人/企业)--登记地址
     */
    private String caseAddress;

    /**
     * 案件涉及(人/企业)--电话
     */
    private String casePhone;

    /**
     * 案件涉及(人/企业)--邮箱
     */
    private String caseEmail;

    /**
     * 类型【0:个人，1:企业】
     */
    private Integer caseType;

    /**
     * 是否是委托方【0:是，1:否】
     */
    private Integer isClient;

    /**
     * 检索标志【1：需要检索，0：无需检索】
     */
    private Integer checkFlag;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
