package com.tcctlo.law.service;

import com.tcctlo.law.entity.CaseLawyer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 案件律师表 服务类
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface ICaseLawyerService extends IService<CaseLawyer>{
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<CaseLawyer> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    CaseLawyer getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param caseLawyer
    * @return
    */
    Integer create(CaseLawyer caseLawyer);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param caseLawyer
    * @return
    */
    Integer update(CaseLawyer caseLawyer);

    /**
     * 条件查询
     * @return 结果几
     */
    List<CaseLawyer> selectByCondition(Map params);
}
