package com.tcctlo.law.service;

import com.tcctlo.law.entity.CaseLawyer;
import com.tcctlo.law.entity.FileManager;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 文件管理 服务类
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface IFileManagerService extends IService<FileManager>{
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<FileManager> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    FileManager getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param fileManager
    * @return
    */
    Integer create(FileManager fileManager);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param fileManager
    * @return
    */
    Integer update(FileManager fileManager);
}
