package com.tcctlo.law.tools;

import org.dromara.x.file.storage.core.FileInfo;
import org.dromara.x.file.storage.core.FileStorageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.File;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

/**
 * 文件上传工具类
 */
@Component
public class FileUpload {

    @Autowired
    private FileStorageService fileStorageService;//注入实列

    public FileInfo uploadFile(File file){
        String objectName = LocalDate.now().format(DateTimeFormatter.ofPattern("yyyy/MM/dd")) + "/";

        //上传图片，返回文件信息
        return fileStorageService.of(file)
                .setPath(objectName) //保存到相对路径下，为了方便管理，不需要可以不写
                .upload();
    }
}
