package com.tcctlo.law.tools;

//import com.aspose.words.Document;
//import com.aspose.words.HtmlLoadOptions;
//import com.aspose.words.SaveFormat;
import com.tcctlo.common.core.domain.AjaxResult;
import com.tcctlo.common.utils.file.FileUtils;
import org.dromara.x.file.storage.core.FileInfo;
import org.dromara.x.file.storage.core.FileStorageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.InputStream;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
@Component
public class RichTextToWordSimple {

    @Autowired
    private FileStorageService fileStorageService;//注入实列
    /**
     * 将 HTML 富文本转换为 Word 文档并保存到指定路径
     *
     * @param html      富文本数据（HTML 格式）
     * @throws Exception 如果转换或保存失败
     */
    public AjaxResult convertHtmlToWord(String html) throws Exception {
        // 将 HTML 内容加载到 Aspose.Words 的 Document 对象中
//        HtmlLoadOptions loadOptions = new HtmlLoadOptions();
//        InputStream inputStream = new ByteArrayInputStream(html.getBytes("UTF-8"));
//        com.aspose.words.Document doc = new Document(inputStream, loadOptions);

        // 将 Document 保存为 Word 文档到指定路径
        /*Path path = Paths.get("D:/word/合同模板.docx");
        Files.createDirectories(path.getParent()); // 创建父目录（如果不存在）*/
//        doc.save("D:/test/xx.docx", SaveFormat.DOCX);
        File file = new File("D:/test/xx.docx");
        try {
            /*// 上传文件路径
            String filePath = RuoYiConfig.getUploadPath();
            // 上传并返回新文件名称
            String fileName = FileUploadUtils.upload(filePath, file);
            String url = serverConfig.getUrl() + fileName;*/

            //指定OSS保存文件路径 格式：
            String objectName = LocalDate.now().format(DateTimeFormatter.ofPattern("yyyy/MM/dd")) + "/";

            //上传图片，返回文件信息
            FileInfo fileInfo = fileStorageService.of(file)
                    .setPath(objectName) //保存到相对路径下，为了方便管理，不需要可以不写
                    .upload();  //将文件上传到对应地方
            AjaxResult ajax = AjaxResult.success();
            ajax.put("url", fileInfo.getUrl());
            ajax.put("fileName", fileInfo.getUrl()); //此处的值需要改为url，因为前端的访问地址会做一个判断，如果以http开头就直接显示此图片
            ajax.put("newFileName", FileUtils.getName(fileInfo.getUrl()));
//            ajax.put("originalFilename", file.getOriginalFilename());
            return ajax;
        } catch (Exception e) {
            return AjaxResult.error(e.getMessage());
        }
    }
}