package com.tcctlo.law.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tcctlo.law.entity.CaseInformation;
import com.tcctlo.law.entity.ImpulseInformation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ImpulseInformationVO extends ImpulseInformation {
    /**
     * 案件名称
     */
    private String caseInfoName;

    /**
     * 顾问期限
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date termOfConsultancy;

    /**
     * 归档状态【0：未归档，1：已归档】
     */
    private Integer archiveStatus;

    /**
     * 是否结案【0：未结案，1：已结案】
     */
    private Integer isFinishCase;


}
